cancel
Showing results for 
Search instead for 
Did you mean: 

Netbackup upgrade on Suse server

albatroz19
Level 4

Hi,

i would upgrade NBU Client 7.6.1 to newer version, on a Linux Suse. I verified on server and these are information:

clnt01:{root}:~ $ cat /etc/SuSE-release
SUSE Linux Enterprise Server 12 (x86_64)
VERSION = 12
PATCHLEVEL = 1

clnt01:{root}:~ $ uname -r
2.6.31665-amd-smp

I checked on https://sort.veritas.com/nbu_checkers/nbu_scl_checker for Suse 12 SP1 for NBU version support, and i think that NBU 7.7.3 and later are ok for upgrade, but when i try to install, this error appear:

ERROR: Detected an attempt to install incorrect platform and/or
operating system and version client binaries on clnt01.

Please someone can help me?

Thanks in advance,
Best Regards

1 ACCEPTED SOLUTION

Accepted Solutions

StefanosM
Level 6
Partner    VIP    Accredited Certified

try to copy the packages from /usr/openv/netbackup/client/<client OS> of the master server and

  • copy all client binaries from server to a tar file
  • move the tar to client and untar it to /tmp
  • create a file named NBInstallAnswer.conf  to the /tmp folder and add the folowing
    SERVER = <master server name>
    CLIENT_NAME = <client name>
    MERGE_SERVERS_LIST=YES
    CA_CERTIFICATE_FINGERPRINT = <master server's fingerprint>
    AUTHORIZATION_TOKEN = SKIP
    INCLUDE_JAVA_GUI_AND_JRE = MATCH

  • run the commands

    rpm -U VRTSnbpck.rpm
    rpm -U VRTSpbx.rpm
    rpm -U VRTSnbclt.rpm
    rpm -U VRTSnbjre.rpm
    rpm -U VRTSnbjava.rpm
    rpm -U VRTSpddea.rpm
    rpm -U VRTSnbcfg.rpm

Hope that this will work.
Before that stop all netbackup services on the client and copy (tar) /usr/openv, just to have it in case you need to roll back.

if this not work, schedule a downtime. Stop SAP, revert the admin's patch, install netbackup and re apply the patch.


Last option is to copy the /usr/openv from another client, change the bp.conf accordingly and redeploy the certificates
 
 
 

View solution in original post

14 REPLIES 14

Nicolai
Moderator
Moderator
Partner    VIP   

hi @albatroz19 

Are you using the right binaries ? SUSE has hardware support for both Z, Power and X86-64.

Please note the tech note from Sort : https://www.veritas.com/content/support/en_US/article.100031908

albatroz19
Level 4

Hi Nicolai,
i looked for technote but it isn't for my case.
My problem that i cannot upgrade from NBU 7.6.1 to a new release, because when i try there is this error:

ERROR: Detected an attempt to install incorrect platform and/or
operating system and version client binaries on clnt01.

 

NBU's packages are correct, maybe a discrepancy on Suse 12 sp1 and kernel version (2.6.31665-amd-smp) not supported?

Thanks and Regards,

 

Nicolai
Moderator
Moderator
Partner    VIP   

Hi @albatroz19 

Is there a install log/trace ? What does it say ?

You will likely have to look at the installation script, to see where the platform check fails.

It's difficult to narrow in, what the issues is, without any from of additional debug information.

StefanosM
Level 6
Partner    VIP    Accredited Certified

if your master server is linux, you can start the upgrade thew the java gui (right click the client from the policy ->all clients and select update).
You must have the correct OS selected at the policy

Hi @Nicolai 
only log present on execute ./install is:

Veritas Installation Script
Copyright (c) 2020 Veritas Technologies LLC. All rights reserved.


Installing NetBackup Client Software


Please review the VERITAS SOFTWARE LICENSE AGREEMENT located on
the installation media before proceeding. The agreement includes
details on the NetBackup Product Improvement Program.

For NetBackup installation and upgrade information specific to your
platform and to find out if your installed EEBs or hot fixes are
contained in this release, check the Installation and Upgrade checklists
and the Hot Fix and EEB Release Auditor, both available on the Veritas
Services and Operations Readiness Tools (SORT) page:
https://sort.veritas.com/netbackup.

Do you wish to continue? [y,n] (y) y

ERROR: Detected an attempt to install incorrect platform and/or
operating system and version client binaries on clnt01.

 

I have a doubt for kernel version and Suse 12 SP1, maybe not supported from NBU 7 and newer.

@StefanosM
I've changed on policy HW/OS version from SuSE 2.6.16 to SuSE 4.4.73 but not upgrade.

Thanks and Regards,

 

X2
Moderator
Moderator
   VIP   

Are there any log files generated in /tmp/ or /var/tmp/ when the script is run?

 

Hi X2,
nothing else of log information. Only present i showed on previous post.

Only this:

Veritas Installation Script
Copyright (c) 2020 Veritas Technologies LLC. All rights reserved.


Installing NetBackup Client Software


Please review the VERITAS SOFTWARE LICENSE AGREEMENT located on
the installation media before proceeding. The agreement includes
details on the NetBackup Product Improvement Program.

For NetBackup installation and upgrade information specific to your
platform and to find out if your installed EEBs or hot fixes are
contained in this release, check the Installation and Upgrade checklists
and the Hot Fix and EEB Release Auditor, both available on the Veritas
Services and Operations Readiness Tools (SORT) page:
https://sort.veritas.com/netbackup.

Do you wish to continue? [y,n] (y) y

ERROR: Detected an attempt to install incorrect platform and/or
operating system and version client binaries on clnt01.

 

Thanks & Regards

 

StefanosM
Level 6
Partner    VIP    Accredited Certified

one stupid question.
What is the name of the file you upload to the client for the installation?

Nicolai
Moderator
Moderator
Partner    VIP   

@albatroz19 

What happens if you perform a clean install instead of a upgrade ? 

Do save the old installation, just in case.

Hi @albatroz19 

I'm late to this thread, but other than an academic exercise, why do you need to upgrade? 

The OS is out of support. (12 SP1 LTSS ends 31/05/2020)  The NetBackup version you are thinking of upgrading to is effectively out of support also (it technically can be supported until May 2023, but requires appropriate support cost uplift). 

If your backups are currently working, why change anything? If the client upgrade is to support upgrading the NetBackup servers, then yes this may break the compatibility support between versions, but it is unlikely to break the actual backups - just run the system as an unsupported configuration. 

Cheers
David

Hi All,
tahnks for answer. I want upgrade NBU, because the master is 8.3 version.
I upgraded other clients Suse 12 SP1 with kernel 3.x to netbackup 8.2, so, maybe the problem is the kernel, that on this specified client, also it's Suse 12 SP1, the kernel 2.6.31 isn't adapted to upgrade.

 

Regards

Hi,
Discovered the mystery...
Sys admin told me that he used a patch to make the server appear with 2.6.31 kernel in order to use old sap software version, but the server it is a real suse 12 SP1 with 3.16.53 kernel.

I don't undestood him... ???

So, exist a method to install nbu 8.2 packages bypassing install_script's checking kernel version?

Thanks & Regards,

StefanosM
Level 6
Partner    VIP    Accredited Certified

try to copy the packages from /usr/openv/netbackup/client/<client OS> of the master server and

  • copy all client binaries from server to a tar file
  • move the tar to client and untar it to /tmp
  • create a file named NBInstallAnswer.conf  to the /tmp folder and add the folowing
    SERVER = <master server name>
    CLIENT_NAME = <client name>
    MERGE_SERVERS_LIST=YES
    CA_CERTIFICATE_FINGERPRINT = <master server's fingerprint>
    AUTHORIZATION_TOKEN = SKIP
    INCLUDE_JAVA_GUI_AND_JRE = MATCH

  • run the commands

    rpm -U VRTSnbpck.rpm
    rpm -U VRTSpbx.rpm
    rpm -U VRTSnbclt.rpm
    rpm -U VRTSnbjre.rpm
    rpm -U VRTSnbjava.rpm
    rpm -U VRTSpddea.rpm
    rpm -U VRTSnbcfg.rpm

Hope that this will work.
Before that stop all netbackup services on the client and copy (tar) /usr/openv, just to have it in case you need to roll back.

if this not work, schedule a downtime. Stop SAP, revert the admin's patch, install netbackup and re apply the patch.


Last option is to copy the /usr/openv from another client, change the bp.conf accordingly and redeploy the certificates
 
 
 

albatroz19
Level 4

Hi StefanoSM,

as aspected,
we scheduled downtime, stop sap and sys admin revertd patch, in order to upgrade NBU.

Thanks and Regards,